/**
 * Description: 账户页面表单对象
 * Copyright:   Copyright (c)2016
 * Company:     江苏三六五网络股份有限公司
 *
 * @author: 江苏三六五网络股份有限公司
 * @version: 1.0
 * Create at:   2016-09-14 下午 17:27:22
 * <p>
 * Modification History:
 * Date         Author      Version     Description
 * ------------------------------------------------------------------
 * 2016-09-14   江苏三六五网络股份有限公司   1.0         Initial
 */
package com.house365.beans.po;

import java.util.List;
import java.util.Map;

/**
 * 账户页面表单对象<br>
 *
 * @author 江苏三六五网络股份有限公司
 * @version 1.0, 2016-09-14
 * @see
 * @since 1.0
 */
public class UserPo {

    private Integer id;
    private Integer buildingId;
    private Integer sellingId;
    private String headImgURL;//头像
    private String fullImgURL;//全身像
    private String goodat;//业务专长
    private String description;    //自我介绍
    private String score;        //分数
    private Integer evaluateCount;    //评价人数
    private Integer seeCount;    //带看次数
    private Integer defaultVisit;    //初始带看次数
    private String hotlinephone;    //分机号
    private String personHotline;    //分机号
    private String cornet;    //分机号
    private String realName;    //直销人员姓名
    private String name;    //直销人员登录名
    private String mobile;    //直销人员手机
    private String accId;     //云信id
    private String imshow;//手否展示IM窗口聊天

    private String webPhone; //web端400
    private String mobilePhone; //移动端400
    private String enabled;        //分数

    private String setKefu;

    private String kefuAccid;

    public String getSetKefu() {
        return setKefu;
    }

    public void setSetKefu(String setKefu) {
        this.setKefu = setKefu;
    }

    public String getKefuAccid() {
        return kefuAccid;
    }

    public void setKefuAccid(String kefuAccid) {
        this.kefuAccid = kefuAccid;
    }

    public String getEnabled() {
        return enabled;
    }

    public void setEnabled(String enabled) {
        this.enabled = enabled;
    }

    public String getPersonHotline() {
        return personHotline;
    }

    public void setPersonHotline(String personHotline) {
        this.personHotline = personHotline;
    }

    public String getImshow() {
        return imshow;
    }

    public void setImshow(String imshow) {
        this.imshow = imshow;
    }

    private List<Map<String, String>> houseList;

    public String getAccId() {
        return accId;
    }

    public void setAccId(String accId) {
        this.accId = accId;
    }

    public Integer getSellingId() {
        return sellingId;
    }

    public void setSellingId(Integer sellingId) {
        this.sellingId = sellingId;
    }

    public Integer getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Integer buildingId) {
        this.buildingId = buildingId;
    }

    public List<Map<String, String>> getHouseList() {
        return houseList;
    }

    public void setHouseList(List<Map<String, String>> houseList) {
        this.houseList = houseList;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getHeadImgURL() {
        return headImgURL;
    }

    public void setHeadImgURL(String headImgURL) {
        this.headImgURL = headImgURL;
    }

    public String getFullImgURL() {
        return fullImgURL;
    }

    public void setFullImgURL(String fullImgURL) {
        this.fullImgURL = fullImgURL;
    }

    public String getGoodat() {
        return goodat;
    }

    public void setGoodat(String goodat) {
        this.goodat = goodat;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public Integer getEvaluateCount() {
        return evaluateCount;
    }

    public void setEvaluateCount(Integer evaluateCount) {
        this.evaluateCount = evaluateCount;
    }

    public Integer getSeeCount() {
        return seeCount;
    }

    public void setSeeCount(Integer seeCount) {
        this.seeCount = seeCount;
    }

    public String getHotlinephone() {
        return hotlinephone;
    }

    public void setHotlinephone(String hotlinephone) {
        this.hotlinephone = hotlinephone;
    }

    public String getCornet() {
        return cornet;
    }

    public void setCornet(String cornet) {
        this.cornet = cornet;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getDefaultVisit() {
        return defaultVisit;
    }

    public void setDefaultVisit(Integer defaultVisit) {
        this.defaultVisit = defaultVisit;
    }

    public String getWebPhone() {
        return webPhone;
    }

    public void setWebPhone(String webPhone) {
        this.webPhone = webPhone;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }
}
